Loading...
Searching...
No Matches
Opm::BlackOilExtboIntensiveQuantities< TypeTag, true > Class Template Reference

## Public Member Functions

void | zFractionUpdate_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Compute extended pvt properties from table lookups.
void | zFractionUpdate_ (const PrimaryVariables &priVars, unsigned timeIdx)
| Compute extended pvt properties from table lookups.
void | zPvtUpdate_ ()
| Re-compute face densities to account for zFraction dependency.
const Evaluation & | zFraction () const
const Evaluation & | xVolume () const
const Evaluation & | yVolume () const
const Evaluation & | oilViscosity () const
const Evaluation & | gasViscosity () const
const Evaluation & | bo () const
const Evaluation & | bg () const
const Evaluation & | rs () const
const Evaluation & | rv () const
const Evaluation | zPureInvFormationVolumeFactor () const
Scalar | zRefDensity () const

## Protected Member Functions

Implementation & | asImp_ ()

## Protected Attributes

Evaluation | zFraction_
Evaluation | xVolume_
Evaluation | yVolume_
Evaluation | oilViscosity_
Evaluation | gasViscosity_
Evaluation | bo_
Evaluation | bg_
Evaluation | rs_
Evaluation | rv_
Evaluation | bz_
Scalar | zRefDensity_

## Member Function Documentation

## zFractionUpdate_() [1/2]

template<class TypeTag>

void Opm::BlackOilExtboIntensiveQuantities< TypeTag, true >::zFractionUpdate_ | ( | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx )

inline

Compute extended pvt properties from table lookups.

At this point the pressures of the fluid state are correct.

## zFractionUpdate_() [2/2]

template<class TypeTag>

void Opm::BlackOilExtboIntensiveQuantities< TypeTag, true >::zFractionUpdate_ | ( | const PrimaryVariables & | priVars,
|  | unsigned | timeIdx )

inline

Compute extended pvt properties from table lookups.

At this point the pressures of the fluid state are correct.

## zPvtUpdate_()

template<class TypeTag>

void Opm::BlackOilExtboIntensiveQuantities< TypeTag, true >::zPvtUpdate_ | ( |  | ) |

inline

Re-compute face densities to account for zFraction dependency.

At this point the pressures and saturations of the fluid state are correct.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilextbomodules.hh